Package skyview.geometry.spheredistorter

# Class Besselian

java.lang.Object
skyview.geometry.Transformer
skyview.geometry.SphereDistorter
skyview.geometry.spheredistorter.Besselian

All Implemented Interfaces:
  `Serializable`, `Component`

public class Besselian extends SphereDistorter
This class implements the distortion of Besselian coordinate systems.

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`Besselian.BesselianInverse`
This inner class defines the inverse distortion to the enclosing Besselian distorter.

## Constructor Summary

Constructors
Constructor
Description
`Besselian()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
What does this object do?
`String`
`getName()`
A name for this object
`SphereDistorter`
`inverse()`
Get the inverse distorter
`boolean`
`isInverse(Transformer t)`
Is the the inverse of another transformation
`final void`
`transform(double[] x, double[] y)`
Convert a single point where the output vector is supplied.

### Methods inherited from class skyview.geometry.SphereDistorter

`getInputDimension, getOutputDimension`

### Methods inherited from class skyview.geometry.Transformer

`transform, transform`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Besselian

public Besselian()

## Method Details

### inverse

public SphereDistorter inverse()
Get the inverse distorter

Specified by:
  `inverse` in class `SphereDistorter`

### isInverse

public boolean isInverse(Transformer t)
Is the the inverse of another transformation

Specified by:
  `isInverse` in class `Transformer`

### getName

public String getName()
Description copied from class: `SphereDistorter`
A name for this object

Specified by:
  `getName` in interface `Component`
Overrides:
  `getName` in class `SphereDistorter`

### getDescription

public String getDescription()
Description copied from class: `SphereDistorter`
What does this object do?

Specified by:
  `getDescription` in interface `Component`
Overrides:
  `getDescription` in class `SphereDistorter`

### transform

public final void transform(double[] x, double[] y)
Description copied from class: `Transformer`
Convert a single point where the output vector is supplied.

Specified by:
  `transform` in class `Transformer`
Parameters:
  `x` - The input vector.
  `y` - The output vector, it may be the same as the input vector if the dimensionalities are the same. All transformers are expected to work with aliased inputs and output.